package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class LabCheckMachineMsgVo {

    @ApiModelProperty(value = "检查ID")
    private Long id;

    @ApiModelProperty(value = "检查单号")
    private String checkNum;

    @ApiModelProperty(value = "检查人")
    private String jcRyxm;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "检查时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "整改截至时间")
    private Date zgjzTime;

    @ApiModelProperty(value = "隐患列表")
    private List<LabCheckMachineMsgDetailVo> detailList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(String checkNum) {
        this.checkNum = checkNum;
    }

    public String getJcRyxm() {
        return jcRyxm;
    }

    public void setJcRyxm(String jcRyxm) {
        this.jcRyxm = jcRyxm;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getZgjzTime() {
        return zgjzTime;
    }

    public void setZgjzTime(Date zgjzTime) {
        this.zgjzTime = zgjzTime;
    }

    public List<LabCheckMachineMsgDetailVo> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<LabCheckMachineMsgDetailVo> detailList) {
        this.detailList = detailList;
    }
}
